org.opengis.cite.ogcapifeatures10.collections

## Class FeaturesAssertions

- java.lang.Object
- - org.opengis.cite.ogcapifeatures10.collections.FeaturesAssertions

-     public class FeaturesAssertions
      extends Object

  Author:
    Lyn Goltz

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FeaturesAssertions()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `(package private) static void` | `assertIntegerGreaterZero(int value, String propertyName)`
    `(package private) static void` | `assertIntegerGreaterZero(Object value, String propertyName)`
    `(package private) static void` | `assertNumberMatched(com.reprezen.kaizen.oasparser.model3.OpenApi3 apiModel, URI iut, String collectionName, io.restassured.path.json.JsonPath jsonPath, boolean skipIfNoNumberMatched)`
    `(package private) static void` | `assertNumberReturned(String collectionName, io.restassured.path.json.JsonPath jsonPath, boolean skipIfNoNumberReturned)`
    `(package private) static void` | `assertTimeStamp(String collectionName, io.restassured.path.json.JsonPath jsonPath, ZonedDateTime timeStampBeforeResponse, ZonedDateTime timeStampAfterResponse, boolean skipIfNoTimeStamp)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FeaturesAssertions

          public FeaturesAssertions()

  - ### Method Detail

    - #### assertIntegerGreaterZero

          static void assertIntegerGreaterZero(Object value,
                                               String propertyName)

    - #### assertIntegerGreaterZero

          static void assertIntegerGreaterZero(int value,
                                               String propertyName)

    - #### assertTimeStamp

          static void assertTimeStamp(String collectionName,
                                      io.restassured.path.json.JsonPath jsonPath,
                                      ZonedDateTime timeStampBeforeResponse,
                                      ZonedDateTime timeStampAfterResponse,
                                      boolean skipIfNoTimeStamp)

    - #### assertNumberReturned

          static void assertNumberReturned(String collectionName,
                                           io.restassured.path.json.JsonPath jsonPath,
                                           boolean skipIfNoNumberReturned)

    - #### assertNumberMatched

          static void assertNumberMatched(com.reprezen.kaizen.oasparser.model3.OpenApi3 apiModel,
                                          URI iut,
                                          String collectionName,
                                          io.restassured.path.json.JsonPath jsonPath,
                                          boolean skipIfNoNumberMatched)
                                   throws URISyntaxException

      Throws:
        `URISyntaxException`

Copyright © 2020 Open Geospatial Consortium. All rights reserved.